> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smokeball.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a contact to a layout

> Adds a new contact on a specified layout.



## OpenAPI

````yaml /openapi.json post /matters/{matterId}/layouts/{itemId}/contacts
openapi: 3.0.1
info:
  title: API
  version: '1.0'
servers:
  - url: https://api.smokeball.com
  - url: https://api.smokeball.com.au
  - url: https://api.smokeball.co.uk
  - url: https://stagingapi.smokeball.com
  - url: https://stagingapi.smokeball.com.au
  - url: https://stagingapi.smokeball.co.uk
security:
  - api-key: []
    token: []
paths:
  /matters/{matterId}/layouts/{itemId}/contacts:
    post:
      tags:
        - Layout Matter Items
      summary: Add a contact to a layout
      description: Adds a new contact on a specified layout.
      operationId: AddLayoutMatterItemContact
      parameters:
        - name: matterId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: itemId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json-patch+json:
            schema:
              allOf:
                - $ref: '#/components/schemas/LayoutContactData'
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/LayoutContactData'
          application/*+json:
            schema:
              allOf:
                - $ref: '#/components/schemas/LayoutContactData'
      responses:
        '202':
          description: When request is accepted
        '404':
          description: When layout item with specified id does not exist on the matter.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    LayoutContactData:
      required:
        - contactId
        - key
      type: object
      properties:
        key:
          minLength: 1
          type: string
          description: Name (mapping) of the layout field that contains ContactId.
        contactId:
          type: string
          description: Unique identifier for the layout contact.
          format: uuid
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
  securitySchemes:
    api-key:
      type: apiKey
      name: x-api-key
      in: header
    token:
      type: apiKey
      name: Authorization
      in: header
      x-amazon-apigateway-authtype: cognito_user_pools

````